Homepage for the CoderDojo in Würzburg including other stuff https://www.coderdojo-wue.de
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

68 lines
1.9KB

  1. {
  2. "name": "coderdojo-wue-website",
  3. "description": "Website at coderdojo-wue.de",
  4. "version": "0.1.0",
  5. "private": true,
  6. "license": "UNLICENSED",
  7. "author": {
  8. "name": "Yannik Rödel",
  9. "email": "hi@yaroedi.de"
  10. },
  11. "keywords": [
  12. "website",
  13. "gatsby"
  14. ],
  15. "repository": {
  16. "type": "git",
  17. "url": "https://git.randombit.eu/CoderDojo/Website"
  18. },
  19. "bugs": {
  20. "url": "https://git.randombit.eu/CoderDojo/Website/issues"
  21. },
  22. "scripts": {
  23. "build": "npx gatsby build",
  24. "dev": "npx gatsby develop",
  25. "lint": "npx eslint \"src/**/*\"",
  26. "start": "npm run develop",
  27. "serve": "npx gatsby serve"
  28. },
  29. "dependencies": {
  30. "babel-plugin-styled-components": "^1.10.6",
  31. "gatsby": "^2.15.9",
  32. "gatsby-image": "^2.2.17",
  33. "gatsby-plugin-manifest": "^2.2.14",
  34. "gatsby-plugin-offline": "^3.0.3",
  35. "gatsby-plugin-react-helmet": "^3.1.6",
  36. "gatsby-plugin-sharp": "^2.2.20",
  37. "gatsby-plugin-styled-components": "^3.1.4",
  38. "gatsby-plugin-typescript": "^2.1.6",
  39. "gatsby-remark-source-name": "^1.0.0",
  40. "gatsby-source-filesystem": "^2.1.21",
  41. "gatsby-transformer-remark": "^2.6.21",
  42. "gatsby-transformer-sharp": "^2.2.13",
  43. "leaflet": "^1.5.1",
  44. "moment": "^2.24.0",
  45. "react": "^16.9.0",
  46. "react-dom": "^16.9.0",
  47. "react-helmet": "^5.2.1",
  48. "styled-components": "^4.3.2",
  49. "typescript": "^3.6.2"
  50. },
  51. "devDependencies": {
  52. "@types/leaflet": "^1.5.1",
  53. "@types/react": "^16.9.2",
  54. "@types/react-dom": "^16.9.0",
  55. "@types/react-helmet": "^5.0.9",
  56. "@types/styled-components": "^4.1.18",
  57. "@typescript-eslint/eslint-plugin": "^2.1.0",
  58. "@typescript-eslint/parser": "^2.1.0",
  59. "eslint-config-airbnb": "^18.0.1",
  60. "eslint-config-prettier": "^6.2.0",
  61. "eslint-import-resolver-typescript": "^1.1.1",
  62. "eslint-plugin-import": "^2.18.2",
  63. "eslint-plugin-prettier": "^3.1.0",
  64. "eslint-plugin-react": "^7.14.3",
  65. "prettier": "^1.18.2"
  66. }
  67. }